{% extends "base.html" %}

{% block main %}
<div class="page-grid">
  <div class="page-grid__toolbar">
    <a href="{{ navigator.portal_page()
      .workspace_id(*portal.workspace_id)
      .rel_oid(*portal.class_oid)
      .portal_id(*portal.id)
      .build()?
      .get_path() }}">
      <button class="button--secondary" style="margin-left: 0.5rem;" type="button">
        Back
      </button>
    </a>
  </div>
  <div class="page-grid__sidebar">
    <div style="padding: 1rem;">
      {{ workspace_nav | safe }}
    </div>
  </div>
  <main class="page-grid__main padded--lg">
    <form method="post" action="update-name">
      <section>
        <h1>Name</h1>
        <input type="text" name="name" value="{{ portal.name }}">
        <button class="button--primary" type="submit">Save</button>
      </section>
    </form>
  </main>
</div>
{% endblock %}
